Bug 192414 - LTC23818-FC5: An unhandled exception occur for installation using VNC on both NFS/FTP
LTC23818-FC5: An unhandled exception occur for installation using VNC on both...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 11:38 EDT by IBM Bug Proxy
Modified: 2008-01-19 23:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2006-05-19 11:38:19 EDT
LTC Owner is: ameet@us.ibm.com
LTC Originator is: chnguyen@us.ibm.com


Problem description:
Install process: configure the adapter for network install, it got the images, 
choose the language, select method to install ( I did try both NFS and FTP), 
and it went all the way to vnc display: go to select driver for this install,
/dev/sda....then hit an error: "An unhandled exception has occurred", 
click ok, system got rebooted.

Hardware Environment
    Machine type (p650, x235, SF2, etc.): 9117-570
    Cpu type (Power4, Power5, IA-64, etc.): P5
    Describe any special hardware you think might be relevant to this problem:

At the exception occurred on vnc display, I choose DEBUG and it drops down to a 
shell. Here is the detail I capture from shell:

Press <enter> for a shell
Starting graphical installation...
XKB extension not present on :1
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 949, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 142, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 213, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 1235, in doAutoPartition
    doClearPartAction(partitions, diskset)
  File "/usr/lib/anaconda/autopart.py", line 1191, in doClearPartAction
    doPartitioning(diskset, partitions, doRefresh = 1)
  File "/usr/lib/anaconda/autopart.py", line 1045, in doPartitioning
    raise PartitioningError, _("Boot partition isn't located early enough on the
 disk.  OpenFirmware won't be able to boot this installation.")
PartitioningError: Boot partition isn't located early enough on the disk.  OpenF
irmware won't be able to boot this installation.


Entering debugger...
> /usr/lib/anaconda/autopart.py(1045)doPartitioning()
-> raise PartitioningError, _("Boot partition isn't located early enough on the
disk.  OpenFirmware won't be able to boot this installation.")
(Pdb)


The suggestion from Fedora to enter rescue mode is here:
http://www.fedorafaq.org/basics/#rescue

They suggest "boot: linux rescue" as the proper way to enter rescue mode. 
Please see if that helps.

(In reply to comment #12)
> The suggestion from Fedora to enter rescue mode is here:
> http://www.fedorafaq.org/basics/#rescue
> They suggest "boot: linux rescue" as the proper way to enter rescue mode. 
> Please see if that helps.

We used "linux64 rescue"  but it hang at:
            Loading DAC960 driver.
Then we changed to
       boot: linux64 rescue nostorage
But I couldn't drop it to the shell. 

RedHat,
We cannot drop this system into a shell and our efforts to pull the logs from
rescue mode have failed.  Do you have any suggestions?
Comment 1 IBM Bug Proxy 2006-06-15 16:06:52 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |robbiew@us.ibm.com




------- Additional Comments From robbiew@us.ibm.com  2006-06-15 16:09 EDT -------
I ran into the hang at "Loading DAC960 driver" problem on an p570+ during a CD
install. I used the "nostorage" option and then added the IBM Power Raid (ipr)
driver when prompted to manually load storage driver. I was able to continue
install process. 
Comment 2 IBM Bug Proxy 2006-06-15 16:27:23 EDT
----- Additional Comments From robbiew@us.ibm.com  2006-06-15 16:31 EDT -------
I stopped before the install began and tried the same workaround with an NFS
install...worked. 
Comment 3 Dave Jones 2006-10-16 13:27:03 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:37:01 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.